E_DISPATCH_EVENTS(3)

EXPERIMENTAL_FUNC
e_dispatch_events - Dispatch events for a list.

SYNOPSIS
#include <karma_e.h>

void e_dispatch_events

(KPeriodicEventList list, unsigned int dispatch_level, flag timeout)

DESCRIPTION
Dispatch events for a list.

list
    The event list.

dispatch_level
    The level of events that may dispatched. Event functions at the same level or higher are dispatched. See <-e_DISPATCH_LEVELS-> for a list of legal values.

timeout
    If TRUE, the perdiodic timer timed out.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/